Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.impl
Class TemplateImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  com.ssaglobal.generator.genctl.impl.TemplateImpl

All Implemented Interfaces:
  Template, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class TemplateImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements Template

An implementation of the model object 'Template'.

The following features are implemented:

- `Template Path`
- `Name Template Path`
- `Engine`
- `Writer`
- `Merge Class Name`
- `Condition`
- `Applies To`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList` | `appliesTo` The cached value of the '`Applies To`' containment reference list
`protected TemplateCondition` | `condition` The cached value of the '`Condition`' containment reference
`protected TemplateEngineType` | `engine` The cached value of the '`Engine`' attribute
`protected static TemplateEngineType` | `ENGINE_EDEFAULT` The default value of the '`Engine`' attribute
`protected boolean` | `engineESet` This is true if the Engine attribute has been set
`protected static java.lang.String` | `MERGE_CLASS_NAME_EDEFAULT` The default value of the '`Merge Class Name`' attribute
`protected java.lang.Class` | `mergeClass`
`protected java.lang.String` | `mergeClassName` The cached value of the '`Merge Class Name`' attribute
`protected static java.lang.String` | `NAME_TEMPLATE_PATH_EDEFAULT` The default value of the '`Name Template Path`' attribute
`protected java.lang.String` | `nameTemplatePath` The cached value of the '`Name Template Path`' attribute
`protected static java.lang.String` | `TEMPLATE_PATH_EDEFAULT` The default value of the '`Template Path`' attribute
`protected java.lang.String` | `templatePath` The cached value of the '`Template Path`' attribute
`protected TemplateWriterType` | `writer` The cached value of the '`Writer`' attribute
`protected static TemplateWriterType` | `WRITER_EDEFAULT` The default value of the '`Writer`' attribute
`protected boolean` | `writerESet` This is true if the Writer attribute has been set

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `TemplateImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCondition(TemplateCondition newCondition, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, java.lang.Class baseClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`org.eclipse.emf.common.util.EList` | `getAppliesTo()`
`TemplateCondition` | `getCondition()`
`TemplateEngineType` | `getEngine()`
`java.lang.Class` | `getMergeClass()`
`java.lang.String` | `getMergeClassName()`
`java.lang.String` | `getNameTemplatePath()`
`java.lang.String` | `getTemplatePath()`
`TemplateWriterType` | `getWriter()`
`boolean` | `isSetEngine()`
`boolean` | `isSetWriter()`
`void` | `setCondition(TemplateCondition newCondition)`
`void` | `setEngine(TemplateEngineType newEngine)`
`void` | `setMergeClass(java.lang.Class mergeClass)`
`void` | `setMergeClassName(java.lang.String newMergeClassName)`
`void` | `setNameTemplatePath(java.lang.String newNameTemplatePath)`
`void` | `setTemplatePath(java.lang.String newTemplatePath)`
`void` | `setWriter(TemplateWriterType newWriter)`
`java.lang.String` | `toString()`
`void` | `unsetEngine()`
`void` | `unsetWriter()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### TEMPLATE_PATH_EDEFAULT

    protected static final java.lang.String TEMPLATE_PATH_EDEFAULT

  The default value of the '`Template Path`' attribute.

  See Also:
    `getTemplatePath()`

### templatePath

    protected java.lang.String templatePath

  The cached value of the '`Template Path`' attribute.

  See Also:
    `getTemplatePath()`

### NAME_TEMPLATE_PATH_EDEFAULT

    protected static final java.lang.String NAME_TEMPLATE_PATH_EDEFAULT

  The default value of the '`Name Template Path`' attribute.

  See Also:
    `getNameTemplatePath()`

### nameTemplatePath

    protected java.lang.String nameTemplatePath

  The cached value of the '`Name Template Path`' attribute.

  See Also:
    `getNameTemplatePath()`

### ENGINE_EDEFAULT

    protected static final TemplateEngineType ENGINE_EDEFAULT

  The default value of the '`Engine`' attribute.

  See Also:
    `getEngine()`

### engine

    protected TemplateEngineType engine

  The cached value of the '`Engine`' attribute.

  See Also:
    `getEngine()`

### engineESet

    protected boolean engineESet

  This is true if the Engine attribute has been set.

### WRITER_EDEFAULT

    protected static final TemplateWriterType WRITER_EDEFAULT

  The default value of the '`Writer`' attribute.

  See Also:
    `getWriter()`

### writer

    protected TemplateWriterType writer

  The cached value of the '`Writer`' attribute.

  See Also:
    `getWriter()`

### writerESet

    protected boolean writerESet

  This is true if the Writer attribute has been set.

### MERGE_CLASS_NAME_EDEFAULT

    protected static final java.lang.String MERGE_CLASS_NAME_EDEFAULT

  The default value of the '`Merge Class Name`' attribute.

  See Also:
    `getMergeClassName()`

### mergeClassName

    protected java.lang.String mergeClassName

  The cached value of the '`Merge Class Name`' attribute.

  See Also:
    `getMergeClassName()`

### condition

    protected TemplateCondition condition

  The cached value of the '`Condition`' containment reference.

  See Also:
    `getCondition()`

### appliesTo

    protected org.eclipse.emf.common.util.EList appliesTo

  The cached value of the '`Applies To`' containment reference list.

  See Also:
    `getAppliesTo()`

### mergeClass

    protected java.lang.Class mergeClass

Constructor Detail

### TemplateImpl

    protected TemplateImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getAppliesTo

    public org.eclipse.emf.common.util.EList getAppliesTo()

  Specified by:
    `getAppliesTo` in interface `Template`
  Returns:
    the value of the 'Applies To' containment reference list.
  See Also:
    `GenctlPackage.getTemplate_AppliesTo()`

### getTemplatePath

    public java.lang.String getTemplatePath()

  Specified by:
    `getTemplatePath` in interface `Template`
  Returns:
    the value of the 'Template Path' attribute.
  See Also:
    `Template.setTemplatePath(String)`, `GenctlPackage.getTemplate_TemplatePath()`

### setTemplatePath

    public void setTemplatePath(java.lang.String newTemplatePath)

  Specified by:
    `setTemplatePath` in interface `Template`
  Parameters:
    `newTemplatePath` - the new value of the 'Template Path' attribute.
  See Also:
    `Template.getTemplatePath()`

### getNameTemplatePath

    public java.lang.String getNameTemplatePath()

  Specified by:
    `getNameTemplatePath` in interface `Template`
  Returns:
    the value of the 'Name Template Path' attribute.
  See Also:
    `Template.setNameTemplatePath(String)`, `GenctlPackage.getTemplate_NameTemplatePath()`

### setNameTemplatePath

    public void setNameTemplatePath(java.lang.String newNameTemplatePath)

  Specified by:
    `setNameTemplatePath` in interface `Template`
  Parameters:
    `newNameTemplatePath` - the new value of the 'Name Template Path' attribute.
  See Also:
    `Template.getNameTemplatePath()`

### getEngine

    public TemplateEngineType getEngine()

  Specified by:
    `getEngine` in interface `Template`
  Returns:
    the value of the 'Engine' attribute.
  See Also:
    `TemplateEngineType`, `Template.isSetEngine()`, `Template.unsetEngine()`, `Template.setEngine(TemplateEngineType)`, `GenctlPackage.getTemplate_Engine()`

### setEngine

    public void setEngine(TemplateEngineType newEngine)

  Specified by:
    `setEngine` in interface `Template`
  Parameters:
    `newEngine` - the new value of the 'Engine' attribute.
  See Also:
    `TemplateEngineType`, `Template.isSetEngine()`, `Template.unsetEngine()`, `Template.getEngine()`

### unsetEngine

    public void unsetEngine()

  Specified by:
    `unsetEngine` in interface `Template`
  See Also:
    `Template.isSetEngine()`, `Template.getEngine()`, `Template.setEngine(TemplateEngineType)`

### isSetEngine

    public boolean isSetEngine()

  Specified by:
    `isSetEngine` in interface `Template`
  Returns:
    whether the value of the 'Engine' attribute is set.
  See Also:
    `Template.unsetEngine()`, `Template.getEngine()`, `Template.setEngine(TemplateEngineType)`

### getWriter

    public TemplateWriterType getWriter()

  Specified by:
    `getWriter` in interface `Template`
  Returns:
    the value of the 'Writer' attribute.
  See Also:
    `TemplateWriterType`, `Template.isSetWriter()`, `Template.unsetWriter()`, `Template.setWriter(TemplateWriterType)`, `GenctlPackage.getTemplate_Writer()`

### setWriter

    public void setWriter(TemplateWriterType newWriter)

  Specified by:
    `setWriter` in interface `Template`
  Parameters:
    `newWriter` - the new value of the 'Writer' attribute.
  See Also:
    `TemplateWriterType`, `Template.isSetWriter()`, `Template.unsetWriter()`, `Template.getWriter()`

### unsetWriter

    public void unsetWriter()

  Specified by:
    `unsetWriter` in interface `Template`
  See Also:
    `Template.isSetWriter()`, `Template.getWriter()`, `Template.setWriter(TemplateWriterType)`

### isSetWriter

    public boolean isSetWriter()

  Specified by:
    `isSetWriter` in interface `Template`
  Returns:
    whether the value of the 'Writer' attribute is set.
  See Also:
    `Template.unsetWriter()`, `Template.getWriter()`, `Template.setWriter(TemplateWriterType)`

### getMergeClassName

    public java.lang.String getMergeClassName()

  Specified by:
    `getMergeClassName` in interface `Template`
  Returns:
    the value of the 'Merge Class Name' attribute.
  See Also:
    `Template.setMergeClassName(String)`, `GenctlPackage.getTemplate_MergeClassName()`

### setMergeClassName

    public void setMergeClassName(java.lang.String newMergeClassName)

  Specified by:
    `setMergeClassName` in interface `Template`
  Parameters:
    `newMergeClassName` - the new value of the 'Merge Class Name' attribute.
  See Also:
    `Template.getMergeClassName()`

### getCondition

    public TemplateCondition getCondition()

  Specified by:
    `getCondition` in interface `Template`
  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `Template.setCondition(TemplateCondition)`, `GenctlPackage.getTemplate_Condition()`

### basicSetCondition

    public org.eclipse.emf.common.notify.NotificationChain basicSetCondition(TemplateCondition newCondition,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setCondition

    public void setCondition(TemplateCondition newCondition)

  Specified by:
    `setCondition` in interface `Template`
  Parameters:
    `newCondition` - the new value of the 'Condition' containment reference.
  See Also:
    `Template.getCondition()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          java.lang.Class baseClass,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Specified by:
    `eInverseRemove` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getMergeClass

    public java.lang.Class getMergeClass()

  Specified by:
    `getMergeClass` in interface `Template`

### setMergeClass

    public void setMergeClass(java.lang.Class mergeClass)

  Specified by:
    `setMergeClass` in interface `Template`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD